Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class RestoreDBInstanceToPointInTimeRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.RestoreDBInstanceToPointInTimeRequest

    public class RestoreDBInstanceToPointInTimeRequest

extends AmazonWebServiceRequest

Container for the parameters to the `RestoreDBInstanceToPointInTime operation`.

This API creates a new RDS instance from a point-in-time system snapshot. The target database is created from the source database restore point with the same configuration as the original source database, except that the new RDS instance is created with the default security group.

See Also:
  `AmazonRDS.restoreDBInstanceToPointInTime(RestoreDBInstanceToPointInTimeRequest)`

Constructor Summary
`RestoreDBInstanceToPointInTimeRequest()`

Method Summary
`String` | `getAvailabilityZone()` The EC2 Availability Zone that the database instance will be created in.
`String` | `getDBInstanceClass()` The compute and memory capacity of the Amazon RDS DB instance.
`Boolean` | `getMultiAZ()` Returns the value of the MultiAZ property for this object.
`Integer` | `getPort()` The port number on which the database accepts connections.
`Date` | `getRestoreTime()` The date and time from to restore from.
`String` | `getSourceDBInstanceIdentifier()` The identifier of the source DB Instance from which to restore.
`String` | `getTargetDBInstanceIdentifier()` The name of the new database instance to be created.
`Boolean` | `getUseLatestRestorableTime()` Specifies whether (true) or not (false) the DB Instance is restored from the latest backup time.
`Boolean` | `isMultiAZ()` Returns the value of the MultiAZ property for this object.
`Boolean` | `isUseLatestRestorableTime()` Specifies whether (true) or not (false) the DB Instance is restored from the latest backup time.
`void` | `setAvailabilityZone(String availabilityZone)` The EC2 Availability Zone that the database instance will be created in.
`void` | `setDBInstanceClass(String dBInstanceClass)` The compute and memory capacity of the Amazon RDS DB instance.
`void` | `setMultiAZ(Boolean multiAZ)` Sets the value of the MultiAZ property for this object.
`void` | `setPort(Integer port)` The port number on which the database accepts connections.
`void` | `setRestoreTime(Date restoreTime)` The date and time from to restore from.
`void` | `setSourceDBInstanceIdentifier(String sourceDBInstanceIdentifier)` The identifier of the source DB Instance from which to restore.
`void` | `setTargetDBInstanceIdentifier(String targetDBInstanceIdentifier)` The name of the new database instance to be created.
`void` | `setUseLatestRestorableTime(Boolean useLatestRestorableTime)` Specifies whether (true) or not (false) the DB Instance is restored from the latest backup time.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`RestoreDBInstanceToPointInTimeRequest` | `withAvailabilityZone(String availabilityZone)` The EC2 Availability Zone that the database instance will be created in.
`RestoreDBInstanceToPointInTimeRequest` | `withDBInstanceClass(String dBInstanceClass)` The compute and memory capacity of the Amazon RDS DB instance.
`RestoreDBInstanceToPointInTimeRequest` | `withMultiAZ(Boolean multiAZ)` Sets the value of the MultiAZ property for this object.
`RestoreDBInstanceToPointInTimeRequest` | `withPort(Integer port)` The port number on which the database accepts connections.
`RestoreDBInstanceToPointInTimeRequest` | `withRestoreTime(Date restoreTime)` The date and time from to restore from.
`RestoreDBInstanceToPointInTimeRequest` | `withSourceDBInstanceIdentifier(String sourceDBInstanceIdentifier)` The identifier of the source DB Instance from which to restore.
`RestoreDBInstanceToPointInTimeRequest` | `withTargetDBInstanceIdentifier(String targetDBInstanceIdentifier)` The name of the new database instance to be created.
`RestoreDBInstanceToPointInTimeRequest` | `withUseLatestRestorableTime(Boolean useLatestRestorableTime)` Specifies whether (true) or not (false) the DB Instance is restored from the latest backup time.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RestoreDBInstanceToPointInTimeRequest

    public RestoreDBInstanceToPointInTimeRequest()

Method Detail

### getSourceDBInstanceIdentifier

    public String getSourceDBInstanceIdentifier()

  The identifier of the source DB Instance from which to restore.

  Returns:
    The identifier of the source DB Instance from which to restore.

### setSourceDBInstanceIdentifier

    public void setSourceDBInstanceIdentifier(String sourceDBInstanceIdentifier)

  The identifier of the source DB Instance from which to restore.

  Parameters:
    `sourceDBInstanceIdentifier` - The identifier of the source DB Instance from which to restore.

### withSourceDBInstanceIdentifier

    public RestoreDBInstanceToPointInTimeRequest withSourceDBInstanceIdentifier(String sourceDBInstanceIdentifier)

  The identifier of the source DB Instance from which to restore.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `sourceDBInstanceIdentifier` - The identifier of the source DB Instance from which to restore.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getTargetDBInstanceIdentifier

    public String getTargetDBInstanceIdentifier()

  The name of the new database instance to be created.

  Returns:
    The name of the new database instance to be created.

### setTargetDBInstanceIdentifier

    public void setTargetDBInstanceIdentifier(String targetDBInstanceIdentifier)

  The name of the new database instance to be created.

  Parameters:
    `targetDBInstanceIdentifier` - The name of the new database instance to be created.

### withTargetDBInstanceIdentifier

    public RestoreDBInstanceToPointInTimeRequest withTargetDBInstanceIdentifier(String targetDBInstanceIdentifier)

  The name of the new database instance to be created.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `targetDBInstanceIdentifier` - The name of the new database instance to be created.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRestoreTime

    public Date getRestoreTime()

  The date and time from to restore from.

  Returns:
    The date and time from to restore from.

### setRestoreTime

    public void setRestoreTime(Date restoreTime)

  The date and time from to restore from.

  Parameters:
    `restoreTime` - The date and time from to restore from.

### withRestoreTime

    public RestoreDBInstanceToPointInTimeRequest withRestoreTime(Date restoreTime)

  The date and time from to restore from.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `restoreTime` - The date and time from to restore from.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isUseLatestRestorableTime

    public Boolean isUseLatestRestorableTime()

  Specifies whether (true) or not (false) the DB Instance is restored from the latest backup time.

  Returns:
    Specifies whether (true) or not (false) the DB Instance is restored from the latest backup time.

### setUseLatestRestorableTime

    public void setUseLatestRestorableTime(Boolean useLatestRestorableTime)

  Specifies whether (true) or not (false) the DB Instance is restored from the latest backup time.

  Parameters:
    `useLatestRestorableTime` - Specifies whether (true) or not (false) the DB Instance is restored from the latest backup time.

### withUseLatestRestorableTime

    public RestoreDBInstanceToPointInTimeRequest withUseLatestRestorableTime(Boolean useLatestRestorableTime)

  Specifies whether (true) or not (false) the DB Instance is restored from the latest backup time.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `useLatestRestorableTime` - Specifies whether (true) or not (false) the DB Instance is restored from the latest backup time.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUseLatestRestorableTime

    public Boolean getUseLatestRestorableTime()

  Specifies whether (true) or not (false) the DB Instance is restored from the latest backup time.

  Returns:
    Specifies whether (true) or not (false) the DB Instance is restored from the latest backup time.

### getDBInstanceClass

    public String getDBInstanceClass()

  The compute and memory capacity of the Amazon RDS DB instance.

  Returns:
    The compute and memory capacity of the Amazon RDS DB instance.

### setDBInstanceClass

    public void setDBInstanceClass(String dBInstanceClass)

  The compute and memory capacity of the Amazon RDS DB instance.

  Parameters:
    `dBInstanceClass` - The compute and memory capacity of the Amazon RDS DB instance.

### withDBInstanceClass

    public RestoreDBInstanceToPointInTimeRequest withDBInstanceClass(String dBInstanceClass)

  The compute and memory capacity of the Amazon RDS DB instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceClass` - The compute and memory capacity of the Amazon RDS DB instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPort

    public Integer getPort()

  The port number on which the database accepts connections.

  Returns:
    The port number on which the database accepts connections.

### setPort

    public void setPort(Integer port)

  The port number on which the database accepts connections.

  Parameters:
    `port` - The port number on which the database accepts connections.

### withPort

    public RestoreDBInstanceToPointInTimeRequest withPort(Integer port)

  The port number on which the database accepts connections.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `port` - The port number on which the database accepts connections.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZone

    public String getAvailabilityZone()

  The EC2 Availability Zone that the database instance will be created in.

  Returns:
    The EC2 Availability Zone that the database instance will be created in.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  The EC2 Availability Zone that the database instance will be created in.

  Parameters:
    `availabilityZone` - The EC2 Availability Zone that the database instance will be created in.

### withAvailabilityZone

    public RestoreDBInstanceToPointInTimeRequest withAvailabilityZone(String availabilityZone)

  The EC2 Availability Zone that the database instance will be created in.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - The EC2 Availability Zone that the database instance will be created in.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isMultiAZ

    public Boolean isMultiAZ()

  Returns the value of the MultiAZ property for this object.

  Returns:
    The value of the MultiAZ property for this object.

### setMultiAZ

    public void setMultiAZ(Boolean multiAZ)

  Sets the value of the MultiAZ property for this object.

  Parameters:
    `multiAZ` - The new value for the MultiAZ property for this object.

### withMultiAZ

    public RestoreDBInstanceToPointInTimeRequest withMultiAZ(Boolean multiAZ)

  Sets the value of the MultiAZ property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `multiAZ` - The new value for the MultiAZ property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMultiAZ

    public Boolean getMultiAZ()

  Returns the value of the MultiAZ property for this object.

  Returns:
    The value of the MultiAZ property for this object.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.